// 加入收藏
function add_favorite(a, title, url) {
	url = url || a.href;
	title = title || a.title;
	try{ // IE
		window.external.addFavorite(url, title);
	} catch(e) {
		try{ // Firefox
			window.sidebar.addPanel(title, url, "");
		} catch(e) {
			if (/Opera/.test(window.navigator.userAgent)) { // Opera
				a.rel = "sidebar";
				a.href = url;
				return true;
			}
			alert('加入收藏失败，请使用 Ctrl+D 进行添加');
		}
	}
	return false;
}
// 设为首页
function set_homepage(a, url) {
	var tip = '您的浏览器不支持此操作\n请使用浏览器的"选项"或"设置"等功能设置首页';
	if (/360se/i.test(window.navigator.userAgent)) {
		alert(tip);
		return false;
	}
	url = url || a.href;
	try {
		a.style.behavior = 'url(#default#homepage)';
		a.setHomePage(url);
	} catch(e) {
		alert(tip);
	}
	return false;
}